org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_MESSAGETOASTNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_MESSAGETOASTNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_MESSAGETOASTNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_MESSAGETOASTNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_MESSAGETOASTNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_MESSAGETOASTNode` | `bindAutoclose(IDynamicContentBindingObject value)`
    `UI5M_MESSAGETOASTNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_MESSAGETOASTNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_MESSAGETOASTNode` | `bindDuration(IDynamicContentBindingObject value)`
    `UI5M_MESSAGETOASTNode` | `bindMessage(IDynamicContentBindingObject value)`
    `UI5M_MESSAGETOASTNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_MESSAGETOASTNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_MESSAGETOASTNode` | `bindTrigger(IDynamicContentBindingObject value)`
    `UI5M_MESSAGETOASTNode` | `bindWidth(IDynamicContentBindingObject value)`
    `UI5M_MESSAGETOASTNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_MESSAGETOASTNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_MESSAGETOASTNode` | `setAutoclose(boolean value)`
    `UI5M_MESSAGETOASTNode` | `setAutoclose(java.lang.String value)`
    `UI5M_MESSAGETOASTNode` | `setComment(java.lang.String value)`
    `UI5M_MESSAGETOASTNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_MESSAGETOASTNode` | `setDuration(int value)`
    `UI5M_MESSAGETOASTNode` | `setDuration(java.lang.String value)`
    `UI5M_MESSAGETOASTNode` | `setId(java.lang.String value)`
    `UI5M_MESSAGETOASTNode` | `setMessage(java.lang.String value)`
    `UI5M_MESSAGETOASTNode` | `setReference(java.lang.String value)`
    `UI5M_MESSAGETOASTNode` | `setRendered(boolean value)`
    `UI5M_MESSAGETOASTNode` | `setRendered(java.lang.String value)`
    `UI5M_MESSAGETOASTNode` | `setStylevariant(java.lang.String value)`
    `UI5M_MESSAGETOASTNode` | `setTrigger(java.lang.String value)`
    `UI5M_MESSAGETOASTNode` | `setWidth(int value)`
    `UI5M_MESSAGETOASTNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_MESSAGETOASTNode

          public UI5M_MESSAGETOASTNode()

  - ### Method Detail

    - #### setId

          public UI5M_MESSAGETOASTNode setId(java.lang.String value)

    - #### setAdapterbinding

          public UI5M_MESSAGETOASTNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_MESSAGETOASTNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_MESSAGETOASTNode setAttributemacro(java.lang.String value)

    - #### setAutoclose

          public UI5M_MESSAGETOASTNode setAutoclose(java.lang.String value)

    - #### bindAutoclose

          public UI5M_MESSAGETOASTNode bindAutoclose(IDynamicContentBindingObject value)

    - #### setAutoclose

          public UI5M_MESSAGETOASTNode setAutoclose(boolean value)

    - #### setComment

          public UI5M_MESSAGETOASTNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_MESSAGETOASTNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_MESSAGETOASTNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_MESSAGETOASTNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDuration

          public UI5M_MESSAGETOASTNode setDuration(java.lang.String value)

    - #### bindDuration

          public UI5M_MESSAGETOASTNode bindDuration(IDynamicContentBindingObject value)

    - #### setDuration

          public UI5M_MESSAGETOASTNode setDuration(int value)

    - #### setMessage

          public UI5M_MESSAGETOASTNode setMessage(java.lang.String value)

    - #### bindMessage

          public UI5M_MESSAGETOASTNode bindMessage(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_MESSAGETOASTNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_MESSAGETOASTNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_MESSAGETOASTNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_MESSAGETOASTNode setRendered(boolean value)

    - #### setStylevariant

          public UI5M_MESSAGETOASTNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_MESSAGETOASTNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTrigger

          public UI5M_MESSAGETOASTNode setTrigger(java.lang.String value)

    - #### bindTrigger

          public UI5M_MESSAGETOASTNode bindTrigger(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_MESSAGETOASTNode setWidth(java.lang.String value)

    - #### bindWidth

          public UI5M_MESSAGETOASTNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_MESSAGETOASTNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.